org.apache.commons.beanutils.converters

## Class CharacterArrayConverter

- java.lang.Object
- - org.apache.commons.beanutils.converters.AbstractArrayConverter
  - - org.apache.commons.beanutils.converters.CharacterArrayConverter

- All Implemented Interfaces:
    Converter

  Deprecated.
  Replaced by the new `ArrayConverter` implementation

      @Deprecated
      public final class CharacterArrayConverter
      extends AbstractArrayConverter

  Standard `Converter` implementation that converts an incoming String into a primitive array of char. On a conversion failure, returns a specified default value or throws a `ConversionException` depending on how this instance is constructed.

  Since:
    1.4
  Version:
    $Id$

- - ### Field Summary

    - ### Fields inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter

      `defaultValue, NO_DEFAULT, strings, useDefault`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CharacterArrayConverter()` Deprecated. Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.
    `CharacterArrayConverter(Object defaultValue)` Deprecated. Create a `Converter` that will return the specified default value if a conversion error occurs.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `convert(Class type, Object value)` Deprecated. Convert the specified input object into an output object of the specified type.

    - ### Methods inherited from class org.apache.commons.beanutils.converters.AbstractArrayConverter

      `parseElements`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CharacterArrayConverter

          public CharacterArrayConverter()

      Deprecated.
      Create a `Converter` that will throw a `ConversionException` if a conversion error occurs.

    - #### CharacterArrayConverter

          public CharacterArrayConverter(Object defaultValue)

      Deprecated.
      Create a `Converter` that will return the specified default value if a conversion error occurs.
      Parameters:
        `defaultValue` - The default value to be returned

  - ### Method Detail

    - #### convert

          public Object convert(Class type,
                                Object value)

      Deprecated.
      Convert the specified input object into an output object of the specified type.
      Specified by:
        `convert` in interface `Converter`
      Specified by:
        `convert` in class `AbstractArrayConverter`
      Parameters:
        `type` - Data type to which this value should be converted
        `value` - The input value to be converted
      Returns:
        the converted value
      Throws:
        `ConversionException` - if conversion cannot be performed successfully

Copyright © 2000–2019 The Apache Software Foundation. All rights reserved.